package com.qmth.teachcloud.common.enums.mark;

public enum MarkPaperStatus {

    FORMAL("正评", 1), FINISH("结束", 2);

    private String name;

    private int value;

    private MarkPaperStatus(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static MarkPaperStatus findByName(String name) {
        for (MarkPaperStatus c : MarkPaperStatus.values()) {
            if (c.toString().equalsIgnoreCase(name)) {
                return c;
            }
        }
        return null;
    }
}
